Query Affected Objects

Query Affected Objects
Get filtered and paginated list of affected objects for a rule

If no filters are set, the API returns all the affected objects for the rule in the system

Request
URI
POST
https://{api_host}/suite-api/api/diagnostics/findings/{ruleUuid}/affectedobjects/query
COPY
Path Parameters
string
ruleUuid
Required

The UUID of the rule the affected objects are generated for

Query Parameters
integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 1000

Expected number of entries per page


Request Body

The affected objects query

AffectedObjectsQuery of type(s) application/json
Optional
"{\n  \"filter\" : {\n    \"resourceIds\" : [ \"feb68f59-5f31-4306-b0da-a31727769b45\" ],\n    \"fromOccurrenceTime\" : 123456789\n  }\n}"
object
filter
Optional

Parameters used to search for affected objects.

Authentication
This operation uses the following authentication methods.
Responses
200

The affected objects in the system

Returns AffectedObjectsResponse of type(s) application/json
"{\n  \"affectedObjects\" : [ {\n    \"name\" : \"object-1\",\n    \"resourceId\" : \"3697d855-01ce-41e6-b58f-c2bce4738ea7\",\n    \"adapterKind\" : \"VMWARE\",\n    \"resourceKind\" : \"VirtualMachine\",\n    \"checkTime\" : 1234567890,\n    \"occurrenceTime\" : 123456789\n  } ]\n}"
array of object
affectedObjects
Optional

Collection of affected object data

array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/diagnostics/findings/{ruleUuid}/affectedobjects/query